//**********************************
//   		aaaapictures  
//**********************************
//      



//	Blue, bright glass.  Light swirl pattern to it.

textures/aaaapictures/blueglass
{
	surfaceparm trans
	surfaceparm slick
	cull none
	qer_trans 0.5

	{
		map textures/aaaapictures/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/aaaapictures/pelican
{
	surfaceparm trans
	cull none
	qer_trans 0.5

	{
		map textures/aaaapictures/pelican.tga
		//tcgen environment
		//blendFunc GL_ONE GL_ONE
		//rgbGen identity
                }
}

textures/aaaapictures/sunfru
{
	surfaceparm trans
	cull none
	qer_trans 0.5

	{
		map textures/aaaapictures/sunfru.tga
		//tcgen environment
		//blendFunc GL_ONE GL_ONE
		//rgbGen identity
                }
}

textures/aaaapictures/sunsnow
{
	surfaceparm trans
	cull none
	qer_trans 0.5

	{
		map textures/aaaapictures/sunsnow.tga
		//tcgen environment
		//blendFunc GL_ONE GL_ONE
		//rgbGen identity
                }
}

// 	Plain glass.

textures/aaaapictures/plainglass
{
	surfaceparm nolightmap
	surfaceparm trans 
	cull none 
	qer_trans 0.5
                {
		map textures/aaaapictures/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

textures/aaaapictures/screen
{
	//q3map_lightimage textures/aaaapictures/screen3.tga
	q3map_surfacelight 100
	qer_editorimage textures/aaaapictures/screen1.tga

	{
		animMap .05 textures/aaaapictures/screen1.tga textures/aaaapictures/screen2.tga textures/aaaapictures/screen3.tga textures/aaaapictures/screen4.tga textures/aaaapictures/screen5.tga textures/aaaapictures/screen6.tga textures/aaaapictures/screen7.tga textures/aaaapictures/screen8.tga 
		
		rgbGen identity
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 0 1
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}       
}

textures/aaaapictures/creamseal
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
//	q3map_sun	0.266383 0.274632 0.358662 120 60 85
	q3map_lightimage textures/aaaapictures/lightcolor.jpg 
	q3map_surfacelight 150
	
	{
		map textures/aaaapictures/creamseal.jpg
		rgbGen identity
		
	}
}

textures/aaaapictures/gold 
{
	//deformVertexes wave 100 sin 3 2 .1 3
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/aaaapictures/gold.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/aaaapictures/goldfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/aaaapictures/gold.tga
		//blendFunc GL_ONE GL_ONE
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}       

textures/aaaapictures/sails
{
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     surfaceparm noimpact
     surfaceparm nonsolid
     cull none
        
        { 
               map textures/aaaapictures/sails.jpg
        }
}

textures/aaaapictures/cloads 
{
	q3map_lightimage gfx/colors/black.tga
	qer_editorimage textures/aaaapictures/skyneu.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms - 256 -
//	q3map_sun 0.615686 0.807843 1.000000 200 180 24 300
	q3map_surfacelight 75

{
		map textures/aaaapictures/clouds1.tga

		tcMod scale 3 2
		tcMod scroll 0.025 0.025
		depthWrite
	}
	{
		map textures/aaaapictures/clouds2.tga

		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.015 0.015
	}


}

textures/aaaapictures/leaf
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/aaaapictures/leaf.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aaaapictures/earthmap
{
	surfaceparm structural
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 65
	
	{
		map textures/aaaapictures/earthmap.jpg
		rgbGen identity
		
	}
}

textures/aaaapictures/starts
{
	surfaceparm structural
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 65
	
	{
		map textures/aaaapictures/starts.jpg
		rgbGen identity
		
	}
}

textures/aaaapictures/zuescd
{
	surfaceparm structural
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 65
	
	{
		map textures/aaaapictures/zuescd.jpg
		rgbGen identity
		
	}
}

textures/aaaapictures/mleaf01
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/aaaapictures/mleaf01.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/castle/marb096
{
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/castle/marb096.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/castle/envmap2.tga    
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/castle/marb096.tga
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}    

textures/aaaapictures/hrcube1
{
	
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/aaaapictures/hrcube1.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/aaaapictures/hrcube1.tga
		alphaFunc GE128
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}       

textures/aaaapictures/hrcube2
{
	
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/aaaapictures/hrcube2.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/aaaapictures/hrcube2.tga
		alphaFunc GE128
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}       

textures/aaaapictures/hrcube3
{
	
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/aaaapictures/hrcube3.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/aaaapictures/hrcube3.tga
		alphaFunc GE128
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}       

textures/castle/ik_crystal_base
{
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	qer_editorimage textures/castle/marb074.tga
	qer_trans .5
	//q3map_surfacelight 50
	q3map_lightimage textures/castle/marb074.tga

	{
		map textures/castle/marb074.tga
		blendfunc GL_ONE GL_ONE
		//rgbGen wave noise .5 .3 0 20	
		tcMod scale .5 .5
		tcMod scroll .05 .1
	}
  {
		map textures/castle/ik_crystal_env.tga
    tcgen environment
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}

}

textures/castle/try1h
{
     deformVertexes wave 30 sin 0 3 0 .7
     deformVertexes wave 100 sin 0 3 0 .1
     surfaceparm noimpact
     cull none
        
        { 
               map textures/castle/try1h.jpg
        }
}

textures/castle/sclouds1
{
	q3map_lightimage gfx/colors/black.tga
	//qer_editorimage textures/aaaapictures/skyneu.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms - 256 -
//	q3map_sun 0.615686 0.807843 1.000000 200 180 24 300
	q3map_surfacelight 5

{
		map textures/castle/sclouds1.tga

		tcMod scale 3 2
		tcMod scroll 0.025 0.025
		depthWrite
	}
	{
		map textures/castle/sclouds2.tga

		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.015 0.015
	}


}

textures/castle/star1
{
	qer_editorimage textures/castle/stars.tga
	surfaceparm nodlight
	surfaceparm noimpact 
	surfaceparm sky
	// first pass
	{
		map textures/castle/star2.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 1 0
		
	}	
	// second pass
	{
		map textures/castle/star1.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.5 0
		blendfunc add
	}	
	// third pass
	{
		map textures/castle/star3.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.25 0
		blendfunc add
	}	
}

textures/castle/red1
{
	
	q3map_surfacelight 5
	
	{
		animMap 2 textures/castle/red1.tga textures/castle/red2.tga 
		
		
	}
	
}